#ifndef   SHT21_FUNCTIONS_H
  #define SHT21_FUNCTIONS_H

  #define SHT21_SLAVE_ADDRESS   0x40
  #define SHT21_T_HOLD          0xE3
  #define SHT21_RH_HOLD         0xE5
  #define SHT21_T_NO_HOLD       0xF3
  #define SHT21_RH_NO_HOL       0xF5
  #define SHT21_USER_REG_W      0xE6
  #define SHT21_USER_REG_R      0xE7
  #define SHT21_RESET           0xFE

  #define SHT21_RESOLUTION_12_14  0x01
  #define SHT21_RESOLUTION_08_12  0x02
  #define SHT21_RESOLUTION_10_13  0x03
  #define SHT21_RESOLUTION_11_11  0x04

  #define BETA_W    17.62
  #define BETA_I    22.46
  #define LAMBDA_W  243.12
  #define LAMBDA_I  272.62

  /* SHT21 user register */
  typedef enum SHT21_USER_REG_enum
  {
    SHT21_BAT_LT_225_gc = (0x01<<6),  /* End of battery < 2,25V indicator (read only) */
    SHT21_HEATER_gc = (0x01<<2),      /* Enable on board heater */
    SHT21_DISABLE_OTP_gc = (0x01<<1), /* Disable OTP reload */
  } SHT21_USER_REG_t;

  bool InitSHT21_b(void);
  f32 SHT21ReadData_f32(u8 TypeOfData_u8);
  u8 SHT21ReadUserReg_u8(void);
  bool SHT21WriteUserReg_b(bool HeaterOn_b, bool DisableOTP_b, u8 Resolution_u8);
#endif